Summary:	xinetd -- A better inetd.
Name:		xinetd
Version:	2.3.14
Release:	1
License:	BSD
Group:		System
URL:		http://www.xinetd.org/
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:	inetd
Prereq:		/sbin/chkconfig, /sbin/service
BuildRequires:  tcp_wrappers >= 7.6
Obsoletes:	inetd

%description
Xinetd is a powerful inetd replacement. Xinetd has access control 
mechanisms, extensive logging capabilities, the ability to make 
services available based on time, can place limits on the number 
of servers that can be started, and has a configurable defence 
mechanism to protect against port scanners, among other things.
 
%prep
%setup -q

%build
  ./configure				\
	--sbindir=%{_sbindir} 		\
	--mandir=%{_datadir}/man	\
	--with-libwrap 			\
	--with-inet6
  make
  strip xinetd/xinetd
  cp xinetd/xinetd xinetd6
  make distclean
  ./configure \
	--sbindir=$RPM_BUILD_ROOT/%{_sbindir} 		\
	--mandir=$RPM_BUILD_ROOT/%{_datadir}/man	\
	--with-libwrap 
  make
  strip xinetd/xinetd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d

%makeinstall
install -m 0755 xinetd6 $RPM_BUILD_ROOT/%{_sbindir}
install -m 0755 contrib/xinetd $RPM_BUILD_ROOT/etc/init.d/rc.xinetd
install -m 0600 contrib/xinetd.conf $RPM_BUILD_ROOT/etc/
mv $RPM_BUILD_ROOT%{_datadir}/man $RPM_BUILD_ROOT/usr/; rmdir $RPM_BUILD_ROOT%{_datadir}
cp contrib/xinetd.d/* $RPM_BUILD_ROOT/etc/xinetd.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d && ln -sf ../../init.d/rc.xinetd Kxinetd.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d && ln -sf ../../init.d/rc.xinetd Sxinetd.sh

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :                 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :                
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :              
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :             
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :            
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :          
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :       
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :      
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :    
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :       
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
   /sbin/chkconfig --add xinetd
fi

%preun
if [ $1 = 0 ]; then
   /sbin/service xinetd stop > /dev/null 2>&1
   /sbin/chkconfig --del xinetd
fi

%postun
if [ $1 -ge 1 ]; then
   /sbin/service xinetd condrestart > /dev/null 2>&1
fi

%files
%defattr(-, root, root)
%doc CHANGELOG COPYRIGHT README xinetd/sample.conf contrib/empty.conf 
%{_sbindir}/*
/usr/man/*
%attr(0750, root, root) %config(noreplace) /etc/init.d/rc.xinetd
%attr(0750, root, root) %config(noreplace) /etc/xinetd.conf
%attr(0750, root, root) %config(noreplace) /etc/xinetd.d/*
%attr(0750, root, root) %config(noreplace) /etc/rc.d
